Antiprism 0.23

- Main Page
- Classes
- Files

- File List
- File Members

Variables

# base/const.h File Reference

Global constants. More...

`#include <math.h>`
`#include <stddef.h>`
Include dependency graph for const.h:
This graph shows which files directly or indirectly include this file:

## Variables
const double | epsilon = 1e-12
| Less than this magnitude may be taken as zero.
const double | sym_eps = 1e-5
const size_t | MSG_SZ = 256
| The size of the character array used for returning messages from functions.
const int | DEF_SIG_DGTS = 16
| The default number of significant digits when writing numbers.
const double | DEF_CAMERA_INF_DIST = 1000.0
| The default "infinity" distance to ignore far points when positioning camera.
const char | RES_SEPARATOR [] = "_ "
| Characters that separate parts of a resource name.
const char | ELEM_NONE = 0
| For selecting which elements a function acts upon.

## Detailed Description

Global constants.

## Variable Documentation

const double sym_eps = 1e-5

Less than this magnitude may be taken as zero when determining symmetry elements